My Project: dgPolygonSoupDatabase Class Reference

My Project

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
dgPolygonSoupDatabase Class Referenceabstract

`#include <dgPolygonSoupDatabase.h>`

Inheritance diagram for dgPolygonSoupDatabase:

## Public Member Functions

dgFloat32 | GetRadius () const
dgInt32 | GetVertexCount () const
dgInt32 | GetStrideInBytes () const
dgFloat32 * | GetLocalVertexPool () const
dgUnsigned32 | GetTagId (const dgInt32 *const face, dgInt32 indexCount) const
void | SetTagId (const dgInt32 *const face, dgInt32 indexCount, dgUnsigned32 newID) const
virtual void | Serialize (dgSerialize callback, void *const userData) const =0
virtual void | Deserialize (dgDeserialize callback, void *const userData)=0

## Protected Member Functions

| dgPolygonSoupDatabase (const char *const name=NULL)
virtual | ~dgPolygonSoupDatabase ()

## Protected Attributes

dgInt32 | m_vertexCount
dgInt32 | m_strideInBytes
dgFloat32 * | m_localVertex

## Constructor & Destructor Documentation

## § dgPolygonSoupDatabase()

dgPolygonSoupDatabase::dgPolygonSoupDatabase | ( | const char *const | name = `NULL` | ) |

inlineprotected

## § ~dgPolygonSoupDatabase()

dgPolygonSoupDatabase::~dgPolygonSoupDatabase | ( |  | ) |

inlineprotectedvirtual

## Member Function Documentation

## § Deserialize()

virtual void dgPolygonSoupDatabase::Deserialize | ( | dgDeserialize | callback,
|  | void *const | userData
| ) |  |

pure virtual

Implemented in dgAABBPolygonSoup.

## § GetLocalVertexPool()

dgFloat32 * dgPolygonSoupDatabase::GetLocalVertexPool | ( |  | ) | const

inline

## § GetRadius()

dgFloat32 dgPolygonSoupDatabase::GetRadius | ( |  | ) | const

inline

## § GetStrideInBytes()

dgInt32 dgPolygonSoupDatabase::GetStrideInBytes | ( |  | ) | const

inline

## § GetTagId()

dgUnsigned32 dgPolygonSoupDatabase::GetTagId | ( | const dgInt32 *const | face,
|  | dgInt32 | indexCount
| ) |  | const

inline

## § GetVertexCount()

dgInt32 dgPolygonSoupDatabase::GetVertexCount | ( |  | ) | const

inline

## § Serialize()

virtual void dgPolygonSoupDatabase::Serialize | ( | dgSerialize | callback,
|  | void *const | userData
| ) |  | const

pure virtual

Implemented in dgAABBPolygonSoup.

## § SetTagId()

void dgPolygonSoupDatabase::SetTagId | ( | const dgInt32 *const | face,
|  | dgInt32 | indexCount,
|  | dgUnsigned32 | newID
| ) |  | const

inline

## Member Data Documentation

## § m_localVertex

dgFloat32* dgPolygonSoupDatabase::m_localVertex

protected

## § m_strideInBytes

dgInt32 dgPolygonSoupDatabase::m_strideInBytes

protected

## § m_vertexCount

dgInt32 dgPolygonSoupDatabase::m_vertexCount

protected

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgPolygonSoupDatabase.h